## org.mortbay.thread
Class BoundedThreadPool.PoolThread

    java.lang.Object
      java.lang.Thread
          org.mortbay.thread.BoundedThreadPool.PoolThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  BoundedThreadPool

    public class BoundedThreadPool.PoolThread

extends Thread

Pool Thread class. The PoolThread allows the threads job to be retrieved and active status to be indicated.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`void` `run()` BoundedThreadPool run.

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### run

    public void run()

  BoundedThreadPool run. Loop getting jobs and handling them until idle or stopped.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.